.TH HG INCOMING  "" "" ""
.SH NAME
hg incoming \- show new changesets found in source
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg incoming [\-p] [\-n] [\-M] [\-f] [\-r REV]... [\-\-bundle FILENAME] [SOURCE]
.ft P
.fi
.SH DESCRIPTION
.sp
Show new changesets found in the specified path/URL or the default
pull location. These are the changesets that would have been pulled
by \%\fBhg pull\fP\: at the time you issued this command.
.sp
See pull for valid source format details.
.sp
With \-B/\-\-bookmarks, the result of bookmark comparison between
local and remote repositories is displayed. With \-v/\-\-verbose,
status is also displayed for each bookmark like below:
.sp
.nf
.ft C
BM1               01234567890a added
BM2               1234567890ab advanced
BM3               234567890abc diverged
BM4               34567890abcd changed
.ft P
.fi
.sp
The action taken locally when pulling depends on the
status of each bookmark:
.INDENT 0.0
.TP
.B \fBadded\fP
.sp
pull will create it
.TP
.B \fBadvanced\fP
.sp
pull will update it
.TP
.B \fBdiverged\fP
.sp
pull will create a divergent bookmark
.TP
.B \fBchanged\fP
.sp
result depends on remote changesets
.UNINDENT
.sp
From the point of view of pulling behavior, bookmark
existing only in the remote repository are treated as \fBadded\fP,
even if it is in fact locally deleted.
.sp
For remote repository, using \-\-bundle avoids downloading the
changesets twice if the incoming is followed by a pull.
.sp
Examples:
.INDENT 0.0
.IP \(bu 2
.
show incoming changes with patches and full description:
.sp
.nf
.ft C
hg incoming \-vp
.ft P
.fi
.IP \(bu 2
.
show incoming changes excluding merges, store a bundle:
.sp
.nf
.ft C
hg in \-vpM \-\-bundle incoming.hg
hg pull incoming.hg
.ft P
.fi
.IP \(bu 2
.
briefly list changes inside a bundle:
.sp
.nf
.ft C
hg in changes.hg \-T "{desc|firstline}\en"
.ft P
.fi
.UNINDENT
.sp
Returns 0 if there are incoming changes, 1 otherwise.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-f,  \-\-force
.
run even if remote repository is unrelated
.TP
.B \-n,  \-\-newest\-first
.
show newest record first
.TP
.BI \-\-bundle \ <FILE>
.
file to store the bundles into
.TP
.BI \-r,  \-\-rev \ <REV[+]>
.
a remote changeset intended to be added
.TP
.B \-B,  \-\-bookmarks
.
compare bookmarks
.TP
.BI \-b,  \-\-branch \ <BRANCH[+]>
.
a specific branch you would like to pull
.TP
.B \-p,  \-\-patch
.
show patch
.TP
.B \-g,  \-\-git
.
use git extended diff format
.TP
.BI \-l,  \-\-limit \ <NUM>
.
limit number of changes displayed
.TP
.B \-M,  \-\-no\-merges
.
do not show merges
.TP
.B \-\-stat
.
output diffstat\-style summary of changes
.TP
.B \-G,  \-\-graph
.
show the revision DAG
.TP
.BI \-\-style \ <STYLE>
.
display using template map file (DEPRECATED)
.TP
.BI \-T,  \-\-template \ <TEMPLATE>
.
display with template
.TP
.BI \-e,  \-\-ssh \ <CMD>
.
specify ssh command to use
.TP
.BI \-\-remotecmd \ <CMD>
.
specify hg command to run on the remote side
.TP
.B \-\-insecure
.
do not verify server certificate (ignoring web.cacerts config)
.TP
.B \-S,  \-\-subrepos
.
recurse into subrepositories
.UNINDENT
.sp
[+] marked option can be specified multiple times
.SH ALIASES
.sp
.nf
.ft C
in
.ft P
.fi
.\" Generated by docutils manpage writer.
.\" 
.
